import java.awt.*; 
import java.awt.event.*; 
import javax.swing.*; 
 
public class LoginFrame extends JFrame { 
    
	JButton submitButton = new JButton(); 
    JButton cancelButton = new JButton(); 
    JLabel nameLabel = new JLabel(); 
    JTextField nameText = new JTextField(); 
    
    
    public LoginFrame() { 
        try { 
            loginInit(); 
 
            addWindowListener( 
                    new WindowAdapter() { 
                public void windowClosing(WindowEvent e) { 
                    System.exit(0); 
                } 
            } 
            ); 
        } catch (Exception ex) { 
            ex.printStackTrace(); 
        } 
    } 
 
    private void loginInit() throws Exception { 
        setSize(new Dimension(249, 182)); 
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize(); 
        Dimension frameSize = getSize(); 
        setLocation((screenSize.width - frameSize.width) / 2, 
                    (screenSize.height - frameSize.height) / 2); 
        getContentPane().setLayout(null); 
        setTitle("Login"); 
        
        nameLabel.setText("Name:"); 
        nameLabel.setBounds(new Rectangle(28, 31, 46, 14)); 
        
        nameText.setBounds(new Rectangle(97, 26, 118, 19)); 
        
        submitButton.setBounds(new Rectangle(28, 90, 73, 23)); 
        submitButton.setText("OK"); 
        submitButton.addActionListener(new ActionListener() { 
            public void actionPerformed(ActionEvent e) { 
                submitButton_actionPerformed(e); 
            } 
        }); 
        
        cancelButton.setBounds(new Rectangle(142, 90, 73, 23)); 
        cancelButton.setText("Cancel"); 
        cancelButton.addActionListener(new ActionListener() { 
            public void actionPerformed(ActionEvent e) { 
                cancelButton_actionPerformed(e); 
            } 
        }); 
        
        this.getContentPane().add(nameLabel); 
        this.getContentPane().add(nameText); 
        this.getContentPane().add(submitButton); 
        this.getContentPane().add(cancelButton); 
        this.setResizable(false); 
        this.setVisible(true); 
 
    } 
 
    
    public void submitButton_actionPerformed(ActionEvent e) { 
        
    	dispose(); 
        MainFrame mainFrame = new MainFrame(nameText.getText()); 
            
    } 
 
    public void cancelButton_actionPerformed(ActionEvent e) { 
        System.exit(0); 
    } 
    
    public static void main(String args[]) { 
        LoginFrame loginFrame = new LoginFrame(); 
    } 
    
} 
