import java.net.*; 
import java.io.IOException; 
 
public class UDPSend extends Thread { 
    DatagramSocket datagramSocket; 
    DatagramPacket datagramPacket; 
    String destAddress; 
    String data; 
    int destPort; 
    boolean loop; 
 
    public UDPSend(DatagramSocket ds, String data, String address, int port, boolean loop) { 
        this.datagramSocket = ds; 
        this.data = data; 
        this.destAddress = address; 
        this.destPort = port; 
        this.loop = loop; 
        
        byte[] dataArray = data.getBytes(); 
        InetSocketAddress inetSocketAddress = new InetSocketAddress(destAddress, destPort); 
        try { 
            datagramPacket = new DatagramPacket(dataArray, dataArray.length, inetSocketAddress); 
        } catch (SocketException ex) { 
        }  
    } 
    
    public void run(){ 
        if(loop == true){ 
             while (true) { 
                try { 
                    datagramSocket.send(datagramPacket); 
                    Thread.sleep(10000);  
                } catch (Exception e) { 
                } 
            } 
        } else { 
            try { 
                datagramSocket.send(datagramPacket); 
            } catch (IOException e) { 
            } 
        } 
    } 
} 


